ProvisionLocalDatabases
Create a local cluster PostgreSQL database for the caller client
Requires `X-Athena-Client` and a client-bound API key with `management.provision.write`.
Header Parameters
X-Athena-Client*string
apikey*string
Request Body
application/json
client_name?|
Required for admin API. Ignored in management API (caller X-Athena-Client is used).
database_name*string
owner?|
template?|
encoding?|
lc_collate?|
lc_ctype?|
tablespace?|
register_name?|
Optional Athena client name when registering. Defaults to database_name.
description?|
provision_schema?boolean
Default
trueregister_runtime?boolean
Default
trueregister_catalog?boolean
Default
trueResponse Body
application/json
curl -X POST "https://athena-cluster.com/management/provision/local/databases" \ -H "X-Athena-Client: string" \ -H "apikey: string" \ -H "Content-Type: application/json" \ -d '{ "database_name": "string" }'Empty
Empty
Empty
Empty
Empty
{
"status": "error",
"message": "string",
"error": "string"
}List local cluster PostgreSQL databases for the caller client GET
Requires `X-Athena-Client` and a client-bound API key with `management.provision.write`.
Provision/register a Neon Postgres database via management API POST
Requires `X-Athena-Client` and a client-bound API key with `management.provision.write`.